Skip to content

Delete snapshot

DELETE
/vector_db/{VectorDB_id}/snapshot/{Snapshot_id}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/{VectorDB_id}/snapshot/{Snapshot_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
VectorDB_id
required
integer
Snapshot_id
required
integer
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Snapshot has been successfully deleted

Media typeapplication/json
object
code
integer
message
string
data
object
snapshot_id
integer
snapshot
string
errors
object

Example

{
"code": 200,
"message": "Snapshot Deleted Successfully",
"data": {
"snapshot_id": 69,
"snapshot": "2024-11-14T06:05:38.802401Z"
},
"errors": {}
}